The BOOST_PP_LESS_EQUAL_D macro compares two values for equality or lesser magnitude. It reenters BOOST_PP_WHILE with maximum efficiency.

#### Usage

BOOST_PP_LESS_EQUAL_D(d, x, y)

#### Arguments

d
  The next available BOOST_PP_WHILE iteration.
x
  The left operand of the comparison. Valid values range from 0 to BOOST_PP_LIMIT_MAG.
y
  The right operand of the comparison. Valid values range from 0 to BOOST_PP_LIMIT_MAG.

#### Remarks

If x is less than or equal to y, this macro expands to 1. Otherwise, it expands to 0.

#### See Also

- BOOST_PP_LESS_EQUAL
- BOOST_PP_LIMIT_MAG

#### Requirements

Header: <boost/preprocessor/comparison/less_equal.hpp>

#### Sample Code

    #include <boost/preprocessor/comparison/less_equal.hpp>
    #include <boost/preprocessor/list/filter.hpp>

    #define LIST (1, (2, (3, (4, (5, BOOST_PP_NIL)))))

    #define PRED(d, _, num) BOOST_PP_LESS_EQUAL_D(d, num, 4)

    BOOST_PP_LIST_FILTER(PRED, nil, LIST)
       // expands to (1, (2, (3, (4, BOOST_PP_NIL))))

© Copyright Housemarque Oy 2002 © Copyright Paul Mensonides 2002

Distributed under the Boost Software License, Version 1.0. (See accompanying file LICENSE_1_0.txt or copy at www.boost.org/LICENSE_1_0.txt)